Chief Tools Logo
Account Chief API v1

Endpoints for retrieving teams.


List teams

GET
https://account.chief.app/api
/v1/teams
OpenID Connect
or
OpenID Connect
or
Bearer (ctp_*)
or
Bearer (ctp_*)
or
Bearer (ctt_*)

List the teams available to the authenticated credential. A team access token only returns its own team. For user credentials, accountchief:team:read is also accepted in place of the teams scope.

List teams › Responses

Array of Team

​object[] · required

Show team

GET
https://account.chief.app/api
/v1/teams/{teamSlug}
OpenID Connect
or
OpenID Connect
or
Bearer (ctp_*)
or
Bearer (ctp_*)
or
Bearer (ctt_*)

Retrieve a team available to the authenticated credential. A team access token can only retrieve its own team. For user credentials, accountchief:team:read is also accepted in place of the teams scope.

Show team › path Parameters

teamSlug
​string · required

team slug

Show team › Responses

Team

​Team · required

Update team settings

PATCH
https://account.chief.app/api
/v1/teams/{teamSlug}
OpenID Connect
or
Bearer (ctp_*)
or
Bearer (ctt_*)

Update the display name, Gravatar email, or timezone of an accessible team.

Update team settings › path Parameters

teamSlug
​string · required

team slug

Update team settings › Request Body

name
​string · minLength: 1 · maxLength: 255

Team display name.

timezone
​string | null · enum

IANA timezone used by the team.

Enum values:
Africa/Abidjan
Africa/Accra
Africa/Addis_Ababa
Africa/Algiers
Africa/Asmara
Africa/Bamako
Africa/Bangui
Africa/Banjul
gravatar_email
​string | null · email

Email address used to resolve the team's Gravatar.

Update team settings › Responses

Team

​object · required